import java.awt.*;
import javax.swing.*;
import java.awt.event.*;

/** 
 * Sotto-classe di PannelloInfo, realizza il pannello che sara'
 * collocato al centro della finestra di dati.
 * Rende tutti i campi di testo non editabili tranne quelli per 
 * indirizzo, telefono ed email, e disabilita i tre bottoni radio.
 * Ha i bottoni aggiuntivi "salva" e "ricarica" (da aggiungere
 * poi alla finestra in cui sara' messo il pannello).
 */
public class PannelloDati extends PannelloInfo
{
  /** Bottone per salvare l'abbonato nel data base. */
  JButton btSalva;
  /** Bottone per ricaricare l'abbonato dal data base,
   * perdendo eventuali modifiche intercorse. */
  JButton btRicarica;
             
  // Costruttore
  
  /**
   * Come nella super-classe, ma rende  tutti i campi di testo non editabili
   * tranne quelli per  indirizzo, telefono ed email, e disabilita i tre
   * bottoni radio. Crea inoltre, a parte, i due bottoni salva e ricarica.
   */
  public PannelloDati()
  { 
    super();  
    // impedisce interazione dell'utente con tutti i dispositivi
    // tranne i campi di testo per indirizzo, telefono, email.
    txCognome.setEditable(false);
    txNome.setEditable(false);
    txAnno.setEditable(false);

    txMeseR.setEditable(false);
    txAnnoR.setEditable(false);
    txDurata.setEditable(false);
  
    btOrdinario.setEnabled(false);
    btStudenti.setEnabled(false);
    btAnziani.setEnabled(false);

    // crea i due nuovi bottoni
    btSalva = new JButton("salva");
    btRicarica = new JButton("ricarica");
  }
}

