import java.net.URL;
import java.awt.*;
import javax.swing.*;

/** 
 * Sotto-classe di PannelloInfo, realizza il pannello che sara'
 * collocato al centro della finestra che mostra i risultati della ricerca,
 * permettendo la modifica dei dati (tutti tranne cognome, nome, anno di
 * nascita. I tre bottoni radio sono mutuamente esclusivi.
 * Ha i bottoni aggiuntivi "salva", "ricarica", "indietro" e "avanti"
 * (da aggiungere poi alla finestra in cui sara' messo il pannello).
 */
public class PannelloRisultato extends PannelloInfo
{
  /** Bottone per salvare l'abbonato nel data base. */
  JButton btSalva;
  /** Bottone per ricaricare l'abbonato dal data base,
   * perdendo eventuali modifiche intercorse. */
  JButton btRicarica;
  /** Bottone per andare a risultato precedente. */
  JButton btIndietro;
  /** Bottone per andare a risultato seguente. */
  JButton btAvanti;
    
  // Costruttore
  
  /**
   * Come nella super-classe ma rende non editabili i campi per
   * cognome, nome, anno di nascita, e mutuamente esclusivi i tre
   * bottoni radio; crea i quattro bottoni salva, ricarica,
   * indietro e avanti. */
  public PannelloRisultato()
  { 
    super();  
    // rende mutuamente esclusivi i tre bottoni radio
    ButtonGroup bg = new ButtonGroup();
    bg.add(btOrdinario);
    bg.add(btStudenti);
    bg.add(btAnziani);
    // permette interazione dell'utente con tutti i dispositivi
    // tranne i campi di testo per cognome, nome, data di nascita.
    txCognome.setEditable(false);
    txNome.setEditable(false);
    txAnno.setEditable(false);

    // crea i quattro nuovi bottoni
    btSalva = new JButton("salva");
    btRicarica = new JButton("ricarica");
    btIndietro = new JButton("indietro");
    btAvanti = new JButton("avanti");
  }
}

